//---------------------------------------------------------------------------

#ifndef FontUnitH
#define FontUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFontForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
    TImage *FontImage;
    TFontDialog *FontDialog;
    TButton *FontDialogButton;
    TButton *DrawButton;
    TEdit *FontHeightEdit;
    TUpDown *FontHeightUpDown;
    TLabel *FontHeightLabel;
    TComboBox *CharSetComboBox;
    TComboBox *PriLangComboBox;
    TLabel *CharSetLabel;
    TComboBox *SubLangComboBox;
    TComboBox *SortIDComboBox;
    TEdit *FontFilenameEdit;
    TButton *AddFontResourceButton;
    TButton *RemoveFontResourceButton;
    void __fastcall FontDialogButtonClick(TObject *Sender);
    void __fastcall DrawButtonClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall AddFontResourceButtonClick(TObject *Sender);
    void __fastcall RemoveFontResourceButtonClick(TObject *Sender);
private:	// [U[錾
    TFont *MyFont;
public:		// [U[錾
    __fastcall TFontForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFontForm *FontForm;
//---------------------------------------------------------------------------
#endif
